Interface SftpEndpointBuilderFactory.SftpBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
- SftpEndpointBuilderFactory
public static interface SftpEndpointBuilderFactory.SftpBuilders
-
Method Summary
Modifier and TypeMethodDescriptionsftp()SFTP (camel-ftp) Upload and download files to/from SFTP servers.SFTP (camel-ftp) Upload and download files to/from SFTP servers.SFTP (camel-ftp) Upload and download files to/from SFTP servers.
-
Method Details
-
sftp
SFTP (camel-ftp) Upload and download files to/from SFTP servers. Category: file Since: 1.1 Maven coordinates: org.apache.camel:camel-ftp- Returns:
- the dsl builder for the headers' name.
-
sftp
SFTP (camel-ftp) Upload and download files to/from SFTP servers. Category: file Since: 1.1 Maven coordinates: org.apache.camel:camel-ftp Syntax:sftp:host:port/directoryNamePath parameter: host (required) Hostname of the FTP server Path parameter: port Port of the FTP server Path parameter: directoryName The starting directory- Parameters:
path- host:port/directoryName- Returns:
- the dsl builder
-
sftp
SFTP (camel-ftp) Upload and download files to/from SFTP servers. Category: file Since: 1.1 Maven coordinates: org.apache.camel:camel-ftp Syntax:sftp:host:port/directoryNamePath parameter: host (required) Hostname of the FTP server Path parameter: port Port of the FTP server Path parameter: directoryName The starting directory- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- host:port/directoryName- Returns:
- the dsl builder
-